{% extends 'base.html' %}
{% load crispy_forms_tags %}


{% block content %}

<!DOCTYPE html>
<html lang="en">
    {% load static %}
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta http-equiv="X-UA-Compatible" content="ie=edge">
        <!-- <link rel="stylesheet" href="{% static 'home/style.css' %}" type="text/css">
        <link rel="stylesheet" href="{% static 'home/style-s.css' %}" type="text/css"> -->
        <link href='https://fonts.googleapis.com/css?family=Roboto' rel='stylesheet'>
        <link href="https://fonts.googleapis.com/css2?family=Roboto:wght@100;300;400;500;700&display=swap" rel="stylesheet">
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" 
        integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
        <link href="https://fonts.googleapis.com/css2?family=Caveat:wght@400;700&display=swap" rel="stylesheet">

        <title>
           Jadwal
        </title>
    </head>

    <style>
        #container {
            background-color: #00F0B5;
            width: 100%; height: auto;
        }
        #nav {
            background-color: #F4F4ED;
            width: 100%; height: 70px;
            position:fixed; top: 0px;

            display: flex; white-space:nowrap;
            justify-content: center; align-items: center;
        }
        .mypage {
            position: relative;;
            margin-top: 13px;
            color: #242424;

            font-family: 'Caveat', cursive;
            font-style: normal;
            font-weight: bold; font-size: 30px;
        }
        .activityForm {
            position: relative;
            width: auto;
            margin-left: auto; margin-right: auto;
            margin-top: 50px;

            display: flex; 
            justify-content: center; 
            align-items: center;
            text-align: center;

            color: #000000;

            font-size: 20px;
            font-weight: 500;
        }
        .participantForm {
            position: relative;
            width: auto;
            margin-left: auto; margin-right: auto;
            margin-top: 50px;

            display: flex; 
            justify-content: center; 
            align-items: center;
            text-align: center;

            color: #000000;

            font-size: 20px;
            font-weight: 500;
        }
        .participantFormTable {
            border-spacing: 5px;
            border-collapse: separate;
        }
        .showModels {
            position: relative;
            width: auto;
            margin-left: auto; margin-right: auto;
            margin-top: 150px;

            display: flex;
            justify-content: center; align-items: center;
            flex-wrap: wrap;

            color: #000000;
        }
        .modelTable {
            border-spacing: 20px;
            border-collapse: separate;
        }
        .modelTableHead {
            font-weight: bold; font-size: 18px;
            color: #000000;
        }
        .modelCards {
            position: relative;
            width: 250px;
            height: auto;
            min-height: 300px;
            min-width: 200px;
            margin: 10px;

            display: flex;
            justify-content: center; align-items: center;
            flex-direction: column;
            flex-wrap: wrap;

            background-color: #e3fdfd;
            color: #242424;

            border-radius: 5px;
        }
        .modelCardContent {
            position: absolute;
            top: 10px;

            display: flex;
            justify-content: center; align-items: center;
            flex-direction: column;
            flex-wrap: wrap;
        }
        .modelCardDelBttn {
            position: absolute;
            bottom: 15px;
        }
        .activity {
            position: relative;
            margin-top: 5px;
            width: 250px;
            height: auto;
            min-width: 200px;

            font-weight: 500;
            font-size: 20px;

            text-align: center;

            background-color: #CBF1F5;
        }
        .participant {
            margin-top: 15px;

        }
    
    </style>
    

    <body id="container">
        <div class="showModels">
            <div class="modelTableHead">

            </div>
            {% for agd in activity %}
            <div class="modelCards">
                <div class="modelCardContent">
                    <div class="activity">
                        {{ agd.agenda }}
                    </div>
                    <div class="participant">
                        <table>
                            {% for peep in participant %}
                            {% if peep.actvty == agd %}
                            <tr> 
                                <td>
                                    - {{ peep.person }}
                                    <a href="{% url 'story6:deleteP' peep.id %}">
                                        [remove]
                                    </a>
                                </td> 
                            </tr>
                            {% endif %}
                            {% endfor %}
                        </table>
                    </div>
                </div>
                
                <div class="modelCardDelBttn">
                    <a href="{% url 'story6:deleteA' agd.id %}" class="btn btn-outline-danger">
                        <svg width="1em" height="1em" viewBox="0 0 16 16" class="bi bi-trash-fill" fill="currentColor" xmlns="http://www.w3.org/2000/svg">
                            <path fill-rule="evenodd" d="M2.5 1a1 1 0 0 0-1 1v1a1 1 0 0 0 1 1H3v9a2 2 0 0 0 2 2h6a2 2 0 0 0 2-2V4h.5a1 1 0 0 0 1-1V2a1 1 0 0 0-1-1H10a1 1 0 0 0-1-1H7a1 1 0 0 0-1 1H2.5zm3 4a.5.5 0 0 1 .5.5v7a.5.5 0 0 1-1 0v-7a.5.5 0 0 1 .5-.5zM8 5a.5.5 0 0 1 .5.5v7a.5.5 0 0 1-1 0v-7A.5.5 0 0 1 8 5zm3 .5a.5.5 0 0 0-1 0v7a.5.5 0 0 0 1 0v-7z"/>
                        </svg>
                    </a>
                </div>
            </div>
            {% endfor %}
        </div>

        <div class="participantForm">
            <form method="POST" > 
                <div>
                    <table class="participantFormTable">
                    {% csrf_token %}
                    <tr>
                        <td>
                            - Participate in an Activity -
                        </td>
                    </tr>
                        <tr >
                            <td>
                                {{ participant_form.person }}
                            </td>
                        </tr>
                        <tr >
                            <td>
                                {{ participant_form.actvty }}
                            </td>
                        </tr>
                    </table>
                    <!-- <a> -->
                        <input type="submit" value="Save" class="btn btn-light"
                        style="margin-top: 5px; margin-bottom: 10px;"/>
                    <!-- </a> -->
                </div>
            </form>
        </div>

        <div class="activityForm">
            <form method="POST" > 
                <div>
                    <table>
                    {% csrf_token %}
                        <tr>
                            <td>
                                - Add New Activity -
                            </td>
                        </tr>
                        <tr >
                            <td>
                                {{ activity_form.agenda }}
                            </td>
                        </tr>
                    </table>
                    <input type="submit" value="Save" class="btn btn-outline-light"
                    style="margin-top: 5px;"/>
                </div>
            </form>
        </div>
        
        <div id="nav"> 
            <p class="mypage">
                My Schedule
            </p>
        
            <div style="position: absolute; right: 20px;">
                <a href='/index'>
                    <button type="button" class="btn btn-outline-dark">
                        Home
                    </button>
                </a>
            </div>
        </div>
    </body>

    <footer>
        <footer>
            <div style="height: 100px;"></div>
        </footer>
    </footer>
{% endblock %}